<div class="container" appImport (fileDropped)="onFileDropped($event)">
  <div class="content">
    Import workspace settings from a JSON file
  </div>

  <div class="dropZone">

    <input type="file" style="display: none;" id="fileDropRef" multiple
           (change)="fileBrowseHandler($event.target.files)"/>
    <input class="button is-primary" type="button" value="Choose a file"
           onclick="document.getElementById('fileDropRef').click();"/>

    <div class="label-drop-zone is-primary">
    <img class="drop-icon is-primary" src="../../../../assets/images/logos/uploaded-icon.png"/>
    <p class="text-with-margin is-primary">... or just DRAG it here</p>
    </div>
  </div>
</div>

<app-import-modal *ngIf="isModalActive" [file]="file" (cancelImportEvent)="cancelImport()" (triggerUpdateEvent)="triggerUpdate()"></app-import-modal>
